View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010817CDashpublic2010-06-10 17:292012-01-24 08:14
ReporterDavid Cole 
Assigned ToJulien Jomier 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.6.4 
Target VersionFixed in Version2.0 
Summary0010817: DynamicAnalysis is "green" and "0" even though all tests failed when run under memcheck
DescriptionSee here for an example: (link valid from 6/10/2010 to approx. 10/10/2010...)

http://www.cdash.org/CDash/viewDynamicAnalysis.php?buildid=631269 [^]

There are no "dynamic analysis" defects reported here, because the tool did not run any of the tests properly. But, in my opinion, each time the tool does not run a test properly (shows up as a "failed" test, for whatever reason...), that should be counted as if it were a single dynamic analysis defect so that the summary link on the top page is both non-zero and non-green.

Give me yellow non-zeroes!!!

Thanks ... :-)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0028057)
Julien Jomier (manager)
2011-12-22 16:59

Would there be an easy way to test this. I'm wondering if this is fixed.
(0028360)
David Cole (manager)
2012-01-18 23:03
edited on: 2012-01-18 23:04

See dynamic analysis section here:
http://cdash.org/CDash/index.php?project=CMake&date=2012-01-18 [^]

The green 0 actually has a failure underneath it:
http://cdash.org/CDash/viewDynamicAnalysis.php?buildid=1924617 [^]

(That's with cdash 1.8.3 -- have to submit some Dynamic Analysis xml files to the svn trunk version to see if it's still around)

(0028401)
Julien Jomier (manager)
2012-01-24 08:14

Thanks for the help Dave. This should be better now.

- Issue History
Date Modified Username Field Change
2010-06-10 17:29 David Cole New Issue
2010-06-10 17:29 David Cole Status new => assigned
2010-06-10 17:29 David Cole Assigned To => Julien Jomier
2011-12-22 16:59 Julien Jomier Note Added: 0028057
2012-01-18 02:36 Julien Jomier Status assigned => feedback
2012-01-18 23:03 David Cole Note Added: 0028360
2012-01-18 23:03 David Cole Status feedback => assigned
2012-01-18 23:03 David Cole Status assigned => confirmed
2012-01-18 23:04 David Cole Note Edited: 0028360 View Revisions
2012-01-24 08:14 Julien Jomier Note Added: 0028401
2012-01-24 08:14 Julien Jomier Status confirmed => resolved
2012-01-24 08:14 Julien Jomier Fixed in Version => 2.0
2012-01-24 08:14 Julien Jomier Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker